Retrieve A SSH token.

Retrieve A SSH token.

Retrieve a SSH token.

Request
URI
GET
https://{api_host}/tca/proxy/api/v1/orgs/{orgId}/tokens/vim/ssh/{tokenId}
COPY
Path Parameters
string
orgId
Required

The identifier of the tenant

string
tokenId
Required

The identifier of the token


Responses
200

Successfully retrived requested SSH token.

Returns vimSshToken of type(s) application/json
{
    "id": "string",
    "vimId": "string",
    "vimName": "string",
    "expiresAt": "string",
    "createdAt": "string",
    "username": "string",
    "loginUsername": "string",
    "loginPassword": "string",
    "publicKey": "string",
    "used": false
}
string
id
Required

id

string
vimId
Required

vimId

string
vimName
Required

vimName

string As date-time As date-time
expiresAt
Required

expiresAt

string As date-time As date-time
createdAt
Required

createdAt

string
username
Required

username

string
loginUsername
Required

loginUsername

string
loginPassword
Required

loginPassword

string
publicKey
Required

publicKey

boolean
used
Required

used


400

Bad Request

Returns errorResponse of type(s) application/json
{
    "errors": [
        {
            "code": "string",
            "message": "string"
        }
    ]
}
array of error
errors
Optional

errors


401

Unauthorized

Operation doesn't return any data structure

403

Forbidden

Operation doesn't return any data structure

404

Token not found

Operation doesn't return any data structure

500

Internal Server Error

Returns errorResponse of type(s) application/json
{
    "errors": [
        {
            "code": "string",
            "message": "string"
        }
    ]
}
array of error
errors
Optional

errors